Subject: Re: [PATCH 3/3] gitk: set log.graph=false when running `git log`

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Feb 2022 12:15:40 -0800

Alex Henrie <[email-masked]> writes:

> On Wed, Feb 9, 2022 at 11:26 AM Junio C Hamano <[email-masked]> wrote:
>>
>> This may handle "gitk", but what about thousands other scripts
>> people have developed around "git log", I have to wonder.
>
> That's true, but every new preference carries that risk, and there's
> not much we can do about it. Users who set log.graph=true will just
> have to accept that it won't be compatible with every tool in the
> wild.

I wouldn't call something that is known to break people before it is
released to the wild a "risk", though.